/[gentoo-x86]/dev-ruby/rubygems/rubygems-0.9.0-r2.ebuild
Gentoo

Contents of /dev-ruby/rubygems/rubygems-0.9.0-r2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.7 - (show annotations) (download)
Sun Nov 4 07:48:01 2007 UTC (11 years, 5 months ago) by graaff
Branch: MAIN
CVS Tags: HEAD
Changes since 1.6: +1 -1 lines
FILE REMOVED
Remove old version
(Portage version: 2.1.3.16)

1 # Copyright 1999-2007 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubygems/rubygems-0.9.0-r2.ebuild,v 1.6 2007/02/28 22:07:44 genstef Exp $
4
5 inherit ruby
6
7 DESCRIPTION="Centralized Ruby extension management system"
8 HOMEPAGE="http://rubyforge.org/projects/rubygems/"
9 LICENSE="Ruby"
10
11 # The URL depends implicitly on the version, unfortunately. Even if you
12 # change the filename on the end, it still downloads the same file.
13 SRC_URI="http://rubyforge.org/frs/download.php/11289/${P}.tgz"
14
15 KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
16 SLOT="0"
17 IUSE=""
18 DEPEND=">=dev-lang/ruby-1.8"
19
20 PATCHES="${FILESDIR}/no_post_install.patch
21 ${FILESDIR}/no-system-rubygems.patch
22 ${FILESDIR}/${P}-build-c-extensions.patch
23 ${FILESDIR}/${P}-build-from-yaml.patch"
24 USE_RUBY="ruby18"
25
26 src_compile() {
27 return
28 }
29
30 src_install() {
31 # RUBYOPT=-rauto_gem without rubygems installed will cause ruby to fail, bug #158455
32 export RUBYOPT="${GENTOO_RUBYOPT}"
33 ver=$(${RUBY} -r rbconfig -e 'print Config::CONFIG["MAJOR"] + "." + Config::CONFIG["MINOR"]')
34 GEM_HOME=${D}usr/lib/ruby/gems/$ver ruby_src_install
35 cp "${FILESDIR}/auto_gem.rb" "${D}"/$(${RUBY} -r rbconfig -e 'print Config::CONFIG["sitedir"]')
36 keepdir /usr/lib/ruby/gems/$ver/doc
37 doenvd "${FILESDIR}/10rubygems"
38 }
39
40 pkg_postinst()
41 {
42 ewarn "If you have previously switched to using ruby18_with_gems using ruby-config, this"
43 ewarn "package has removed that file and makes it unnecessary anymore. Please use ruby-config"
44 ewarn "to revert back to ruby18."
45 }
46
47 pkg_postrm()
48 {
49 # If we potentially downgraded, then getting rid of RUBYOPT from env.d is probably a smart idea.
50 env-update
51 source /etc/profile
52 ewarn "You have removed dev-ruby/rubygems. Ruby applications are unlikely"
53 ewarn "to run in current shells because of missing auto_gem."
54 ewarn "Please source /etc/profile in your shells before using ruby"
55 ewarn "or start new shells"
56 }

  ViewVC Help
Powered by ViewVC 1.1.20